Patch file generated Wed Mar 21 20:35:14  2001 from
CVS branch auth_rewrite
CVS repository: rbcollins@cvs.squid.sourceforge.net:/cvsroot/squid
CVS module: squid

Index: squid/src/acl.c
diff -u squid/src/acl.c:1.25 squid/src/acl.c:1.1.1.3.12.26.2.49
--- squid/src/acl.c:1.25	Fri Mar  9 16:58:00 2001
+++ squid/src/acl.c	Tue Mar 13 04:10:29 2001
@@ -1213,7 +1213,7 @@
      * so we test for an authenticated connection when we recieve no authentication
      * header.
      */
-    if (((proxy_auth == NULL) && (!authenticateUserAuthenticated(auth_user_request)))
+    if (((proxy_auth == NULL) && (!authenticateUserAuthenticated(auth_user_request ? auth_user_request : checklist->conn->auth_user_request)))
 	|| (checklist->conn->auth_type == AUTH_BROKEN)) {
 	/* no header or authentication failed/got corrupted - restart */
 	checklist->conn->auth_type = AUTH_UNKNOWN;
Index: squid/src/auth/basic/auth_basic.c
diff -u squid/src/auth/basic/auth_basic.c:1.10 squid/src/auth/basic/auth_basic.c:1.1.2.38
--- squid/src/auth/basic/auth_basic.c:1.10	Sat Mar  3 02:44:32 2001
+++ squid/src/auth/basic/auth_basic.c	Mon Mar 12 03:34:02 2001
@@ -261,7 +268,7 @@
     authenticateStateData *r = data;
     auth_user_t *auth_user;
     basic_data *basic_auth;
-    auth_basic_queue_node *node, *tmpnode;
+    auth_basic_queue_node *tmpnode;
     int valid;
     char *t = NULL;
     debug(29, 9) ("authenticateBasicHandleReply: {%s}\n", reply ? reply : "<NULL>");
@@ -284,15 +291,14 @@
     if (valid)
 	r->handler(r->data, NULL);
     cbdataUnlock(r->data);
-    node = basic_auth->auth_queue;
-    while (node) {
-	tmpnode = node->next;
-	valid = cbdataValid(node->data);
+    while (basic_auth->auth_queue) {
+	tmpnode = basic_auth->auth_queue->next;
+	valid = cbdataValid(basic_auth->auth_queue->data);
 	if (valid)
-	    node->handler(node->data, NULL);
-	cbdataUnlock(node->data);
-	xfree(node);
-	node = tmpnode;
+	    basic_auth->auth_queue->handler(basic_auth->auth_queue->data, NULL);
+	cbdataUnlock(basic_auth->auth_queue->data);
+	xfree(basic_auth->auth_queue);
+	basic_auth->auth_queue = tmpnode;
     }
     authenticateStateFree(r);
 }
@@ -324,6 +330,7 @@
 	memset(scheme->scheme_data, 0, sizeof(auth_basic_config));
 	basicConfig = scheme->scheme_data;
 	basicConfig->authenticateChildren = 5;
+	basicConfig->credentialsTTL = 2*60*60; /* two hours */
     }
     basicConfig = scheme->scheme_data;
     if (strcasecmp(param_str, "program") == 0) {
Index: squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c
diff -u squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c:1.6 squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c:1.1.2.21
--- squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c:1.6	Fri Mar  9 16:58:00 2001
+++ squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c	Wed Mar 21 01:28:47 2001
@@ -110,7 +110,7 @@
 	    SEND("NA last-ditch on, but no credentials");
 	}
     } else {
-	SEND(bhmessage);
+	SEND2("NA %s",bhmessage);
     }
 }
 

